• Liebe Scripter und Spieler,

    immer mehr Scripte und Tools grassieren bei Die Stämme und keiner hat mehr einen Überblick, was es überhaupt gibt und welche erlaubt sind. Daher haben wir uns entschlossen eine kleine Übersicht anzulegen, in der alle erlaubten Scripte und Tools aufgeführt sind. Jegliche andere Scripte und Tools sind damit verboten.

    Regelwidrige Scripte oder Tools zum Downloaden könnt ihr nun daran erkennen, dass sie nicht von uns gehostet werden.

    Zur Scripte- und Tools-Übersicht: » Link

    Zu den aktuellen Regeln für Scripte und Tools: » Link

    Wie man Scripte, Tools und deren Updates erlaubt bekommt: » Link

    Solltest du für dein Tool eine externe Authentifizierung benötigen, so löse bitte ein Support-Ticket in der Kategorie 'Sonstiges' und dem Betreff 'Externe Authentifizierung'.

    Die externe Authentifizierung ist eine Schnittstelle, die über ein selbst erstelltes Script angesprochen werden kann. Man benötigt hier schon gewisse Grundkenntnisse in einer entsprechenden Sprache (z.B. PHP oder Python), um die externe Authentifizierung nutzen zu können.

    Das Moderatorenteam des Spielerprojekteforums kann unabhängig von den Regeln einzelne Scripte oder Tools explizit erlauben oder verbieten.

    Auch wenn Scripte oder Tools einmal erlaubt worden sind, kann es sein, dass diese im Nachhinein verboten werden. Alle Scripte und Tools werden in Abständen auf ihre Aktualität und Versionen geprüft. Das DS-Support Team behält sich das Recht vor ohne Angaben von Gründen Scripte und Tools aus dem Forum zu entfernen. Bereits erlaubte Scripte und Tools, die verboten werden, werden 14 Tage hier im Forum mit dem Hinweis [Verboten] markiert und anschließend entfernt.

    Tigerteufel

    Community-Management

  • Hallo Besucher!

    Du bist neu im Forum? Dann registriere dich hier, um Diskussionen beizutreten oder eigene Themen zu erstellen. Für die Registrierung ist es erforderlich, dass du einen Spielaccount bei Die Stämme hast.

    Andernfalls kannst du dich hier direkt einloggen.

    Falls du dein Passwort vergessen hast, kannst du hier ein neues Passwort anfordern.

Script- und Toolübersicht - Scripte installieren

Antimacht

Community-Management
Liebe Community,

leider können seit dem Update unserer Forensoftware auf Version 2.1 die Userscripts in unserer Script- und Toolübersicht nicht mehr heruntergeladen werden. Da wir an dieser Stelle nicht genau abschätzen können, wie lange es bis zur Behebung des Problems dauert, möchten wir hiermit auf ein Userscript von @Get Drunk verweisen, durch welches ein Download wieder möglich ist:

Code:
// ==UserScript==
// @name         Die Stämme - Forum Fix
// @namespace    http://tampermonkey.net/
// @version      0.1
// @description  User/Schnellleisten Scripte im Forum gefixed
// @author       Get Drunk
// @match        https://forum.die-staemme.de/index.php?pages/qbscripts/
// @match        https://forum.die-staemme.de/index.php?pages/userscripts/
// @grant        none
// ==/UserScript==
(function() {
    'use strict';
    let $ = typeof unsafeWindow != 'undefined' ? unsafeWindow.$ : window.$;
    if (location.search.match("/qbscripts/")) {
        $('span.link').click(function() {
            $(this).closest('tr').next().toggle();
        });
    }
    if (location.search.match("/userscripts/")) {
        var forum_link = 'https://forum.die-staemme.de/index.php?threads/';
        var download_link = 'https://media.innogamescdn.com/com_DS_DE/scripts/user_download/';

        $('td.link').each(function() {
            var script_id = $(this).data('script');
            var text = $(this).text();
            var link = '<a href="' + download_link + script_id + '.user.js">' + text + '</a>'
            $(this).html(link);
        });

        $('td.forum').click(function() {
            var thread_id = $(this).data('thread');
            var link = forum_link + thread_id;
            window.open(link);
        });
    }
})();
Bitte installiert zuerst dieses Script und öffnet anschließend die Script- und Toolübersicht. Die Scripte sollten nun wieder in gewohnter Weise anklick- und installierbar sein.

Wir bedanken uns an dieser Stelle bei @Get Drunk für die Bereitstellung des obigen Scripts!

Viele Grüße
Euer Stämme Team
 
Geht auch mit diesem Script hier nicht bei mir. Firefox.
Was benutzt du denn für eine Erweiterung?
Habe mir Firefox installiert mit der Tampermonkey-Erweiterung, daraufhin das Skript hinzugefügt und alles hat normal funktioniert.

Problem bei Alibaba war übrigens das in Zeile 14 steht
Code:
let $ = typeof unsafeWindow != 'undefined' ? unsafeWindow.$ : window.$;
diese gibt warum auch immer einen Fehler bei Opera zurück.
Diese kann man auch ersetzen durch
Code:
var $ = typeof unsafeWindow != 'undefined' ? unsafeWindow.$ : window.$;
Sollte dann zum gewünschten Ergebnis führen.
 
Also die Behebung des Problems sollte eigentlich vom Zeitaufwand nicht viel in Anspruch nehmen, scheint nur einfach keine Priorität zu haben.